/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Describes the times the attendee joined and left a part of a training session.
    /// </summary>
    public class Attendance
    {
        /// <summary>
        /// The time the attendee joined a part of a training session
        /// </summary>
        public DateTime? joinTime { get; set; }

        /// <summary>
        /// The time the attendee left a part of a training session
        /// </summary>
        public DateTime? leaveTime { get; set; }

        /// <summary>
        /// The time in minutes the attendee spent at a part of a training session
        /// </summary>
        public int? timeInPartOfSession { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class Attendance {\n");
            var joinTimeString = joinTime.Stringify();
            if (!string.IsNullOrEmpty(joinTimeString))
                sb.AppendFormat("  joinTime: {0}\n", joinTimeString);
            var leaveTimeString = leaveTime.Stringify();
            if (!string.IsNullOrEmpty(leaveTimeString))
                sb.AppendFormat("  leaveTime: {0}\n", leaveTimeString);
            var timeInPartOfSessionString = timeInPartOfSession.Stringify();
            if (!string.IsNullOrEmpty(timeInPartOfSessionString))
                sb.AppendFormat("  timeInPartOfSession: {0}\n", timeInPartOfSessionString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
