/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Describes the attendee of a training session.
    /// </summary>
    public class Attendee
    {
        /// <summary>
        /// The attendee's first name
        /// </summary>
        public string givenName { get; set; }

        /// <summary>
        /// The attendee's surname
        /// </summary>
        public string surname { get; set; }

        /// <summary>
        /// The attendee's email address
        /// </summary>
        public string email { get; set; }

        /// <summary>
        /// The total time in minutes spent at all the parts of the training session the attendee joined
        /// </summary>
        public int? timeInSession { get; set; }

        /// <summary>
        /// List of the parts of the training session the attendee joined
        /// </summary>
        public List<Attendance> inSessionTimes { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class Attendee {\n");
            var givenNameString = givenName.Stringify();
            if (!string.IsNullOrEmpty(givenNameString))
                sb.AppendFormat("  givenName: {0}\n", givenNameString);
            var surnameString = surname.Stringify();
            if (!string.IsNullOrEmpty(surnameString))
                sb.AppendFormat("  surname: {0}\n", surnameString);
            var emailString = email.Stringify();
            if (!string.IsNullOrEmpty(emailString))
                sb.AppendFormat("  email: {0}\n", emailString);
            var timeInSessionString = timeInSession.Stringify();
            if (!string.IsNullOrEmpty(timeInSessionString))
                sb.AppendFormat("  timeInSession: {0}\n", timeInSessionString);
            var inSessionTimesString = inSessionTimes.Stringify();
            if (!string.IsNullOrEmpty(inSessionTimesString))
                sb.AppendFormat("  inSessionTimes: {0}\n", inSessionTimesString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
