/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// A pair of DateTime values, the first of which serves as a start time and the second as an end time of an interval
    /// </summary>
    public class DateTimeRange
    {
        /// <summary>
        /// The starting time of an interval
        /// </summary>
        public DateTime? startDate { get; set; }

        /// <summary>
        /// The ending time of an interval
        /// </summary>
        public DateTime? endDate { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class DateTimeRange {\n");
            var startDateString = startDate.Stringify();
            if (!string.IsNullOrEmpty(startDateString))
                sb.AppendFormat("  startDate: {0}\n", startDateString);
            var endDateString = endDate.Stringify();
            if (!string.IsNullOrEmpty(endDateString))
                sb.AppendFormat("  endDate: {0}\n", endDateString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
