/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Describes a training organizer.
    /// </summary>
    public class Organizer
    {
        /// <summary>
        /// The key of the training (co-)organizer
        /// </summary>
        public string organizerKey { get; set; }

        /// <summary>
        /// The email address of the training (co-)organizer
        /// </summary>
        public string email { get; set; }

        /// <summary>
        /// The (co-)organizer's first name
        /// </summary>
        public string givenName { get; set; }

        /// <summary>
        /// The (co-)organizer's surname
        /// </summary>
        public string surname { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class Organizer {\n");
            var organizerKeyString = organizerKey.Stringify();
            if (!string.IsNullOrEmpty(organizerKeyString))
                sb.AppendFormat("  organizerKey: {0}\n", organizerKeyString);
            var emailString = email.Stringify();
            if (!string.IsNullOrEmpty(emailString))
                sb.AppendFormat("  email: {0}\n", emailString);
            var givenNameString = givenName.Stringify();
            if (!string.IsNullOrEmpty(givenNameString))
                sb.AppendFormat("  givenName: {0}\n", givenNameString);
            var surnameString = surname.Stringify();
            if (!string.IsNullOrEmpty(surnameString))
                sb.AppendFormat("  surname: {0}\n", surnameString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
