/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Describes an online recording of a training
    /// </summary>
    public class Recording
    {
        /// <summary>
        /// The unique id of the recording
        /// </summary>
        public long? recordingId { get; set; }

        /// <summary>
        /// The title of the recording
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The description of the recording
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// The url where attendees can register to view the recording
        /// </summary>
        public string registrationUrl { get; set; }

        /// <summary>
        /// The url used to download the recording to the local device
        /// </summary>
        public string downloadUrl { get; set; }

        /// <summary>
        /// The time the recording was started
        /// </summary>
        public DateTime? startDate { get; set; }

        /// <summary>
        /// The time the recording was ended
        /// </summary>
        public DateTime? endDate { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class Recording {\n");
            var recordingIdString = recordingId.Stringify();
            if (!string.IsNullOrEmpty(recordingIdString))
                sb.AppendFormat("  recordingId: {0}\n", recordingIdString);
            var nameString = name.Stringify();
            if (!string.IsNullOrEmpty(nameString))
                sb.AppendFormat("  name: {0}\n", nameString);
            var descriptionString = description.Stringify();
            if (!string.IsNullOrEmpty(descriptionString))
                sb.AppendFormat("  description: {0}\n", descriptionString);
            var registrationUrlString = registrationUrl.Stringify();
            if (!string.IsNullOrEmpty(registrationUrlString))
                sb.AppendFormat("  registrationUrl: {0}\n", registrationUrlString);
            var downloadUrlString = downloadUrl.Stringify();
            if (!string.IsNullOrEmpty(downloadUrlString))
                sb.AppendFormat("  downloadUrl: {0}\n", downloadUrlString);
            var startDateString = startDate.Stringify();
            if (!string.IsNullOrEmpty(startDateString))
                sb.AppendFormat("  startDate: {0}\n", startDateString);
            var endDateString = endDate.Stringify();
            if (!string.IsNullOrEmpty(endDateString))
                sb.AppendFormat("  endDate: {0}\n", endDateString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
