/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Describes a newly created training registrant
    /// </summary>
    public class RegistrantCreated
    {
        /// <summary>
        /// The URL the registrant will use to join the training
        /// </summary>
        public string joinUrl { get; set; }

        /// <summary>
        /// The URL where confirmation for the registration can be found
        /// </summary>
        public string confirmationUrl { get; set; }

        /// <summary>
        /// The registrant's key
        /// </summary>
        public string registrantKey { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class RegistrantCreated {\n");
            var joinUrlString = joinUrl.Stringify();
            if (!string.IsNullOrEmpty(joinUrlString))
                sb.AppendFormat("  joinUrl: {0}\n", joinUrlString);
            var confirmationUrlString = confirmationUrl.Stringify();
            if (!string.IsNullOrEmpty(confirmationUrlString))
                sb.AppendFormat("  confirmationUrl: {0}\n", confirmationUrlString);
            var registrantKeyString = registrantKey.Stringify();
            if (!string.IsNullOrEmpty(registrantKeyString))
                sb.AppendFormat("  registrantKey: {0}\n", registrantKeyString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
