/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Training settings, namely availability of web registration and confirmation emails to the training registrants
    /// </summary>
    public class RegistrationSettings
    {
        /// <summary>
        /// Indicates whether confirmation emails to the training registrants are disabled
        /// </summary>
        public bool? disableConfirmationEmail { get; set; }

        /// <summary>
        /// Indicates whether the web registration for the training is disabled
        /// </summary>
        public bool? disableWebRegistration { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class RegistrationSettings {\n");
            var disableConfirmationEmailString = disableConfirmationEmail.Stringify();
            if (!string.IsNullOrEmpty(disableConfirmationEmailString))
                sb.AppendFormat("  disableConfirmationEmail: {0}\n", disableConfirmationEmailString);
            var disableWebRegistrationString = disableWebRegistration.Stringify();
            if (!string.IsNullOrEmpty(disableWebRegistrationString))
                sb.AppendFormat("  disableWebRegistration: {0}\n", disableWebRegistrationString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
