/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Describes a scheduled training.
    /// </summary>
    public class Training
    {
        /// <summary>
        /// The 9-digit training's ID
        /// </summary>
        public string trainingId { get; set; }

        /// <summary>
        /// The training's subject
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The training's description
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// The time zone where the training takes place
        /// </summary>
        public string timeZone { get; set; }

        /// <summary>
        /// Array with startDate and endDate for the training sessions
        /// </summary>
        public List<DateTimeRange> times { get; set; }

        /// <summary>
        /// The list of (co-)organizers for the training
        /// </summary>
        public List<Organizer> organizers { get; set; }

        /// <summary>
        /// Training settings, namely web registration and confirmation emails to the training registrants
        /// </summary>
        public RegistrationSettings registrationSettings { get; set; }

        /// <summary>
        /// The training's unique key
        /// </summary>
        public string trainingKey { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class Training {\n");
            var trainingIdString = trainingId.Stringify();
            if (!string.IsNullOrEmpty(trainingIdString))
                sb.AppendFormat("  trainingId: {0}\n", trainingIdString);
            var nameString = name.Stringify();
            if (!string.IsNullOrEmpty(nameString))
                sb.AppendFormat("  name: {0}\n", nameString);
            var descriptionString = description.Stringify();
            if (!string.IsNullOrEmpty(descriptionString))
                sb.AppendFormat("  description: {0}\n", descriptionString);
            var timeZoneString = timeZone.Stringify();
            if (!string.IsNullOrEmpty(timeZoneString))
                sb.AppendFormat("  timeZone: {0}\n", timeZoneString);
            var timesString = times.Stringify();
            if (!string.IsNullOrEmpty(timesString))
                sb.AppendFormat("  times: {0}\n", timesString);
            var organizersString = organizers.Stringify();
            if (!string.IsNullOrEmpty(organizersString))
                sb.AppendFormat("  organizers: {0}\n", organizersString);
            var registrationSettingsString = registrationSettings.Stringify();
            if (!string.IsNullOrEmpty(registrationSettingsString))
                sb.AppendFormat("  registrationSettings: {0}\n", registrationSettingsString);
            var trainingKeyString = trainingKey.Stringify();
            if (!string.IsNullOrEmpty(trainingKeyString))
                sb.AppendFormat("  trainingKey: {0}\n", trainingKeyString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
