/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Details required to update the list of organizers for a training.
    /// </summary>
    public class TrainingOrganizers
    {
        /// <summary>
        /// List of keys of the organizers for the training.
        /// </summary>
        public List<long?> organizers { get; set; }

        /// <summary>
        /// Specifies whether an email should be sent notifying of the change to the training's organizers.
        /// </summary>
        public bool? notifyOrganizers { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class TrainingOrganizers {\n");
            var organizersString = organizers.Stringify();
            if (!string.IsNullOrEmpty(organizersString))
                sb.AppendFormat("  organizers: {0}\n", organizersString);
            var notifyOrganizersString = notifyOrganizers.Stringify();
            if (!string.IsNullOrEmpty(notifyOrganizersString))
                sb.AppendFormat("  notifyOrganizers: {0}\n", notifyOrganizersString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
