/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Describes the details used to create a new training.
    /// </summary>
    public class TrainingReqCreate
    {
        /// <summary>
        /// Name of the training
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// Description of the training
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// Time zone of the training. (Must be a valid time zone ID, see https://goto-developer.logmeininc.com/time-zones)
        /// </summary>
        public string timeZone { get; set; }

        /// <summary>
        /// Array with startDate and endDate for the training sessions
        /// </summary>
        public List<DateTimeRange> times { get; set; }

        /// <summary>
        /// Training settings, namely web registration and confirmation emails to the training registrants
        /// </summary>
        public RegistrationSettings registrationSettings { get; set; }

        /// <summary>
        /// List of keys of the co-organizers for this training
        /// </summary>
        public List<long?> organizers { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class TrainingReqCreate {\n");
            var nameString = name.Stringify();
            if (!string.IsNullOrEmpty(nameString))
                sb.AppendFormat("  name: {0}\n", nameString);
            var descriptionString = description.Stringify();
            if (!string.IsNullOrEmpty(descriptionString))
                sb.AppendFormat("  description: {0}\n", descriptionString);
            var timeZoneString = timeZone.Stringify();
            if (!string.IsNullOrEmpty(timeZoneString))
                sb.AppendFormat("  timeZone: {0}\n", timeZoneString);
            var timesString = times.Stringify();
            if (!string.IsNullOrEmpty(timesString))
                sb.AppendFormat("  times: {0}\n", timesString);
            var registrationSettingsString = registrationSettings.Stringify();
            if (!string.IsNullOrEmpty(registrationSettingsString))
                sb.AppendFormat("  registrationSettings: {0}\n", registrationSettingsString);
            var organizersString = organizers.Stringify();
            if (!string.IsNullOrEmpty(organizersString))
                sb.AppendFormat("  organizers: {0}\n", organizersString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
