/*
 * © 2017 LogMeIn, Inc. All Rights Reserved.
 * All rights reserved.
 * 
 * This software is distributed under the terms and conditions of the
 * LogMeIn SDK License Agreement. Please see file LICENSE for details.
 * 
 * Auto-generated file.
 */


using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using LogMeIn.GoToTraining.Api.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;


namespace LogMeIn.GoToTraining.Api.Model
{
    /// <summary>
    /// Details required to update the session times of a training.
    /// </summary>
    public class TrainingTimes
    {
        /// <summary>
        /// Time zone of the training. Must be a valid time zone ID, see https://goto-developer.logmeininc.com/time-zones
        /// </summary>
        public string timeZone { get; set; }

        /// <summary>
        /// Start and end times for the training sessions
        /// </summary>
        public List<DateTimeRange> times { get; set; }

        /// <summary>
        /// Notify registrants via email of change to training. Default is true
        /// </summary>
        public bool? notifyRegistrants { get; set; }

        /// <summary>
        /// Notify trainers via email of change to training. Default is true
        /// </summary>
        public bool? notifyTrainers { get; set; }


        /// <summary>
        /// Returns a string representing the current object.
        /// </summary>
        /// <returns>The Json serialization of the current object.</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class TrainingTimes {\n");
            var timeZoneString = timeZone.Stringify();
            if (!string.IsNullOrEmpty(timeZoneString))
                sb.AppendFormat("  timeZone: {0}\n", timeZoneString);
            var timesString = times.Stringify();
            if (!string.IsNullOrEmpty(timesString))
                sb.AppendFormat("  times: {0}\n", timesString);
            var notifyRegistrantsString = notifyRegistrants.Stringify();
            if (!string.IsNullOrEmpty(notifyRegistrantsString))
                sb.AppendFormat("  notifyRegistrants: {0}\n", notifyRegistrantsString);
            var notifyTrainersString = notifyTrainers.Stringify();
            if (!string.IsNullOrEmpty(notifyTrainersString))
                sb.AppendFormat("  notifyTrainers: {0}\n", notifyTrainersString);
            sb.Append("}\n");
            return sb.ToString();
        }
    }

}
